std::_Weak_result_type_impl< _Res(_ArgTypes...)> Struct Template Reference

## Public Types

typedef _Res | result_type

## Detailed Description

### template<typename _Res, typename... _ArgTypes>
struct std::_Weak_result_type_impl< _Res(_ArgTypes...)>

Retrieve the result type for a function type.

Definition at line 92 of file functional.

The documentation for this struct was generated from the following file:

- functional